VSTGUI: InterpolationTimingFunction Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Types | Protected Attributes | List of all members
InterpolationTimingFunction Class Reference
Animation Timing Functions | Version 4.0
Inheritance diagram for InterpolationTimingFunction:

## Public Member Functions
| InterpolationTimingFunction (uint32_t length, float startPos=0.f, float endPos=1.f)
| InterpolationTimingFunction (const InterpolationTimingFunction &)=default
InterpolationTimingFunction & | operator= (const InterpolationTimingFunction &)=default
void | addPoint (float time, float pos)
| both values are normalized ones
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Protected Types
using | PointMap = std::map< uint32_t, float >

## Protected Attributes
PointMap | points
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Member Typedef Documentation

using PointMap = std::map<uint32_t, float>
| protected

## Constructor & Destructor Documentation

InterpolationTimingFunction | ( | uint32_t | length,
|  | float | startPos = `0.f`,
|  | float | endPos = `1.f`
| ) |  |

InterpolationTimingFunction | ( | const InterpolationTimingFunction & |  | ) |
| default

## Member Function Documentation

void addPoint | ( | float | time,
|  | float | pos
| ) |  |

both values are normalized ones

float getPosition | ( | uint32_t | milliseconds | ) |
| overridevirtual

Implements ITimingFunction.

InterpolationTimingFunction& operator= | ( | const InterpolationTimingFunction & |  | ) |
| default

## Member Data Documentation

PointMap points
| protected

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp